(function() {
	tinymce.create('tinymce.plugins.ExamplePlugin', {
		init : function(ed, url) {
			ed.addCommand('tinyExample', function() {
				ed.windowManager.open({
					file : url + '/popup.php',
					width : 300 + parseInt(ed.getLang('example.delta_width', 0)),
					height : 150 + parseInt(ed.getLang('example.delta_height', 0)),
					inline : 1
				}, {
					plugin_url : url
				});
			});
			ed.addButton('pt_button', {title : 'Pictotraductor', cmd : 'tinyExample', image: url + '/img/icono.gif' });
		},
		getInfo : function() {
			return {
				longname : 'Pictotraductor',
				author : 'Grupo Promedia',
				authorurl : 'http://www.grupopromedia.es',
				infourl : 'http://www.pictoaplicaciones.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
	});
	tinymce.PluginManager.add('pt_button', tinymce.plugins.ExamplePlugin);
})();