<?php
/***************************************************************************
Plugin Name:  Pictotraductor
Plugin URI:   http://www.pictoaplicaciones.com
Description:  Embebe fácilmente Pictotraducciones
Version:      1.0
Author:       Grupo Promedia
Author URI:   http://www.grupopromedia.es
**************************************************************************/

function pictotraductor_button() {
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
		return;

	if ( get_user_option('rich_editing') == 'true') {
		add_filter("mce_external_plugins", "add_pictotraductor_tinymce_plugin");
		add_filter('mce_buttons', 'register_pictotraductor_button');
	}
}
function register_pictotraductor_button($buttons) {
	array_push($buttons, "|", "pt_button");
	return $buttons;
} 
function add_pictotraductor_tinymce_plugin($plugin_array) {
	$plugin_array['pt_button'] = WP_PLUGIN_URL.'/pictotraductor/js/editor_plugin.js';
	return $plugin_array;
}

add_action('init', 'pictotraductor_button');


function picto_shortcode($atts) {
	extract(shortcode_atts(array(
	  'id' => 1
	), $atts));

	return '<span class="picto-bt" data-id="'.$id.'"></span><script type="text/javascript">(function() {var ga = document.createElement(\'script\'); ga.type = \'text/javascript\'; ga.async = true;ga.src = \'https://www.pictotraductor.com/plugin.js\';var s = document.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(ga, s);})();</script>';
}

add_shortcode('pictotraductor', 'picto_shortcode');
?>